<?php
namespace OCA\Dematpayslip\Db;

use JsonSerializable;

use OCP\AppFramework\Db\Entity;

class DematpayslipUser extends Entity implements JsonSerializable {

    protected $userId;
    protected $matricule;
    protected $email;
    protected $disabled;
    protected $lastmodified;
    protected $siret;

    public function jsonSerialize() {
        return [
            'id'           => $this->id,
            'userId'       => $this->userId,
            'matricule'    => $this->matricule,
            'email'        => $this->email,
            'disabled'     => $this->disabled,
            'lastmodified' => $this->lastmodified,
            'siret'        => $this->siret,
        ];
    }
}
